package com.yihu.hos.arbiter;

import com.yihu.hos.arbiter.listener.ApplicationStartListener;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.boot.autoconfigure.orm.jpa.HibernateJpaAutoConfiguration;


@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class, HibernateJpaAutoConfiguration.class})
public class HosArbiterApplication implements CommandLineRunner {
    public static void main(String[] args) {
//        SpringApplication.run(HosArbiterApplication.class, args);

        SpringApplication app = new SpringApplication(HosArbiterApplication.class);
        app.addListeners(new ApplicationStartListener());
        app.run(args);
    }

    @Override
    public void run(String... strings) throws Exception {

    }

}
